glab(1)

NAME

glab-snippet-create - Create a new snippet.

SYNOPSIS

glab snippet create [flags] -t glab snippet create [flags] -t -f # reads from stdin

DESCRIPTION

Create a new snippet.

OPTIONS

-d, --description=""
    Description of the snippet.

-f, --filename=""
    Filename of the snippet in GitLab.

-p, --personal[=false]
    Create a personal snippet.

-t, --title=""
    (required) Title of the snippet.

-v, --visibility="private"
    Limit by visibility: 'public', 'internal', or 'private'

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    glab snippet create script.py --title "Title of the snippet"
    echo "package main" | glab snippet new --title "Title of the snippet" --filename "main.go"
    glab snippet create -t Title -f "different.go" -d Description main.go
    glab snippet create -t Title -f "different.go" -d Description --filename different.go main.go
    glab snippet create --personal --title "Personal snippet" script.py

SEE ALSO

glab-snippet(1)